<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:id="@+id/item_radio_root"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layout_marginStart="20dp"
    android:layout_marginEnd="20dp"
    android:layout_marginBottom="16dp"
    >

    <!-- 滑动后显示的 ImageView -->
<!--    <ImageView-->
<!--        android:id="@+id/item_delete"-->
<!--        android:layout_width="wrap_content"-->
<!--        android:layout_height="wrap_content"-->
<!--        android:src="@drawable/delete"-->
<!--        android:layout_gravity="end|center_vertical" />-->

    <!-- 可滑动的内容区 -->
    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/item_con"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@drawable/round_create"
        android:padding="12dp"
        android:layout_gravity="start">

        <!-- 图片 -->
        <ImageView
            android:id="@+id/item_imageview_radio"
            android:layout_width="80dp"
            android:layout_height="60dp"
            android:src="@mipmap/savesound"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <!-- 标题 -->
        <TextView
            android:id="@+id/title"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="10dp"
            android:text="@string/snoring"
            app:layout_constraintEnd_toStartOf="@+id/duration"
            app:layout_constraintStart_toEndOf="@+id/item_imageview_radio"
            app:layout_constraintTop_toTopOf="parent" />

        <!-- 日期 -->
        <TextView
            android:id="@+id/date"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="8dp"
            android:layout_marginTop="8dp"
            android:text="23 May 2024"
            android:textColor="#ABABAB"
            android:textSize="12sp"
            app:layout_constraintStart_toEndOf="@+id/item_imageview_radio"
            app:layout_constraintTop_toBottomOf="@+id/title" />

        <!-- 竖线 -->
        <View
            android:id="@+id/divider"
            android:layout_width="1dp"
            android:layout_height="12dp"
            android:layout_marginStart="8dp"
            android:layout_marginEnd="8dp"
            android:background="#ABABAB"
            app:layout_constraintBottom_toBottomOf="@+id/date"
            app:layout_constraintStart_toEndOf="@+id/date"
            app:layout_constraintTop_toTopOf="@+id/date" />

        <!-- 时间 -->
        <TextView
            android:id="@+id/time"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="8dp"
            android:layout_marginTop="8dp"
            android:text="07:00pm"
            android:textColor="#ABABAB"
            android:textSize="12sp"
            app:layout_constraintStart_toEndOf="@+id/divider"
            app:layout_constraintTop_toBottomOf="@+id/title" />

        <!-- 时长 -->
        <TextView
            android:id="@+id/duration"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="File duration"
            android:textColor="#ABABAB"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <!-- 收藏图标 -->
        <ImageView
            android:id="@+id/favorite"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="8dp"
            android:src="@drawable/unfavorite"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/duration" />

    </androidx.constraintlayout.widget.ConstraintLayout>

</FrameLayout>
